import React from 'react';
import { StyleProp, TextInputProps, TextStyle, ViewStyle } from 'react-native';
import { OtpInputsRef } from './types';
declare const OtpInputs: React.ForwardRefExoticComponent<TextInputProps & {
    keyboardType: "default" | "email-address" | "phone-pad" | "visible-password" | "ascii-capable" | "numbers-and-punctuation" | "url" | "name-phone-pad" | "twitter" | "web-search" | undefined;
    style?: StyleProp<ViewStyle>;
    focusStyles?: StyleProp<ViewStyle>;
    defaultValue?: string | undefined;
    handleChange: (otpCode: string) => void;
    inputContainerStyles?: StyleProp<ViewStyle>;
    inputStyles?: StyleProp<TextStyle>;
    isRTL?: boolean | undefined;
    numberOfInputs: number;
    testIDPrefix?: string | undefined;
} & React.RefAttributes<OtpInputsRef>>;
export { OtpInputsRef };
export default OtpInputs;
